.city-select {
    opacity: 0;
    background: var(--secondary);
    color: #ffffff;
    font-size: 14px;
    font-weight: 300;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-y: auto;
    transition: .4s;
    z-index: -1;
}

.city-select__close {
    background: transparent;
    border: 0;
    -webkit-appearance: none;
    position: absolute;
    right: 30px;
    top: 30px;
    cursor: pointer;
    padding: 0;
}


.city-list {
    max-width: 1560px;
    margin: 0 auto;
    padding: 53px 80px 30px 80px;
    /* -webkit-columns: 175px 6; 
    -moz-columns: 175px 6;
     columns: 175px 6; 
     -webkit-column-gap: 10px; 
    -moz-column-gap: 10px;
     column-gap: 10px; 
    -moz-column-fill: balance;
    /* column-fill: balance; */
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 0 15px;
}


.city-list-child {
    -webkit-column-break-inside: avoid;
    page-break-inside: avoid;
    break-inside: avoid-column;
    margin-bottom: 30px;
}

.city-word {
    font-size: 24px;
    font-weight: 700;
    color: var(--primary);
}

.city-list-child-cities {
    font-size: 15px;
    font-weight: 300;
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 4px;
}


.city-list-child-cities a:hover {
    color: var(--primary)
}


.city-list-sub {
    list-style: none;
    padding: 0 0 0 20px;
    margin: 4px 0;
    font-weight: 700;
    display: none;
}


.city-list-sub.active {
    display: flex;
    flex-direction: column;
    gap: 5px 0;
    margin-top: 6px;
}


.city-list-full {
    max-width: 1560px;
    margin: 0 auto;
    padding: 0 80px 53px 80px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px;
}

.city-select.opened {
    z-index: 10000;
    opacity: 1;
}

.main-regions {
    display: flex;
    flex-direction: column;
    font-size: 18px;
    align-items: flex-start;
    padding-top: 35px;
}

.main-regions__item {
    color: var(--primary);
    border-bottom: 1px solid transparent
}

.main-regions__item:hover {
    border-color: var(--primary)
}

@media screen and (max-width: 1300px) {
    .city-list {
        padding: 30px 70px 30px 30px;
        grid-template-columns: repeat(5, 1fr);
    }
}

@media screen and (max-width: 1100px) {
    .city-list {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media screen and (max-width: 991px) {
    .city-list {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (max-width: 767px) {

    .main-regions {
        font-size: 16px;
    }
    .city-list {
        grid-template-columns: repeat(2, 1fr);
        gap: 0 20px;
        padding: 20px 25px 30px 25px;
    }

    .city-list-child-cities {
        font-size: 14px;
        line-height: 1.3;
        gap: 10px;
    }

    .city-select__close {
        right: 22px;
        top: 16px;
    }

    .city-list-full {
        padding: 0 25px 53px 25px;
    }

    .city-list-sub.active {
        gap: 12px 0;
        margin-top: 12px;
    }

}
.city-list-parent {
	cursor: pointer;
}
.city-list-parent:hover {
	color: var(--primary);
}